Name:          libgammu
Version:       1.42.0
Release:       2mamba
Summary:       A library to work with mobile phones from many vendors
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wammu.eu/gammu/
Source:        http://downloads.sourceforge.net/project/gammu/gammu/%{version}/gammu-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbluetooth-devel
BuildRequires: libcurl-devel
BuildRequires: libdbi-devel
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libiodbc-devel
BuildRequires: libmariadb-devel
BuildRequires: libpostgresql-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gettext
Requires:      bluez

%description
Gammu is command line utility and library to work with mobile phones from many vendors.
This package contains libraries files that used by Gammu.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for Gammu
Requires:      gammu = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Gammu is command line utility and library to work with mobile phones from many vendors.
This package contains static libraries and header files needed for development.

%package -n gammu
Group:         System/Tools
Summary:       Command Line utility to work with mobile phones
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n gammu
Gammu is command line utility and library to work with mobile phones from many vendors.
Support for different models differs, but basic functions should work with majority of them. Program can work with contacts, messages (SMS, EMS and MMS), calendar, todos, filesystem, integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.

%package -n python-gammu
Group:         Development/Libraries/Python
Summary:       Python bindings for Gammu

%description -n python-gammu
Python bindings for Gammu library.
This package contains Python bindings for Gammu.

%debug_package

%prep
%setup -q -n gammu-%{version}
sed -i -e '/-Werror/d' CMakeLists.txt

%build
%cmake -d build \
    -DENABLE_BACKUP=ON \
    -DWITH_NOKIA_SUPPORT=ON \
    -DWITH_Bluez=ON \
    -DWITH_IrDA=On

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang gammu
%find_lang libgammu
cat libgammu.lang >> gammu.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libGammu.so.*
%{_libdir}/libgsmsd.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gammu
%{_includedir}/gammu/*.h
%{_libdir}/libGammu.so
%{_libdir}/libgsmsd.so
%{_libdir}/pkgconfig/gammu-smsd.pc
%{_libdir}/pkgconfig/gammu.pc
%dir %{_datadir}/doc/gammu
%{_datadir}/doc/gammu/*

%files -n gammu -f gammu.lang
%defattr(-,root,root)
%{_bindir}/gammu*
%{_bindir}/jadmaker
%{_unitdir}/gammu-smsd.service
%{_datadir}/bash-completion/completions/gammu
%dir %{_datadir}/gammu
%{_datadir}/gammu/gammu-s60-remote.sis
%{_datadir}/gammu/gnapplet.ini
%{_datadir}/gammu/gnapplet.sis
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%doc COPYING

%changelog
* Fri Nov 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.42.0-2mamba
- specfile fixes; updated URL; closes #1

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 1.42.0-1mamba
- automatic version update by autodist

* Thu Oct 17 2019 Automatic Build System <autodist@mambasoft.it> 1.41.0-1mamba
- automatic version update by autodist

* Wed Feb 06 2019 Automatic Build System <autodist@mambasoft.it> 1.40.0-1mamba
- automatic version update by autodist

* Tue Jan 09 2018 Automatic Build System <autodist@mambasoft.it> 1.39.0-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.38.5-1mamba
- automatic version update by autodist

* Sat Jun 24 2017 Automatic Build System <autodist@mambasoft.it> 1.38.4-1mamba
- automatic version update by autodist

* Tue May 23 2017 Automatic Build System <autodist@mambasoft.it> 1.38.3-1mamba
- automatic version update by autodist

* Tue Apr 11 2017 Automatic Build System <autodist@mambasoft.it> 1.38.2-1mamba
- automatic version update by autodist

* Fri Jan 06 2017 Automatic Build System <autodist@mambasoft.it> 1.38.1-1mamba
- automatic version update by autodist

* Tue Dec 13 2016 Automatic Build System <autodist@mambasoft.it> 1.38.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2016 Automatic Build System <autodist@mambasoft.it> 1.37.91-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 1.37.4-1mamba
- automatic version update by autodist

* Sat May 28 2016 Automatic Build System <autodist@mambasoft.it> 1.37.3-1mamba
- automatic version update by autodist

* Mon Feb 08 2016 Automatic Build System <autodist@mambasoft.it> 1.37.0-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 1.36.8-1mamba
- automatic version update by autodist

* Tue Dec 01 2015 Automatic Build System <autodist@mambasoft.it> 1.36.7-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 1.36.6-1mamba
- automatic version update by autodist

* Fri Jan 16 2015 Automatic Build System <autodist@mambasoft.it> 1.34.0-1mamba
- automatic version update by autodist

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 1.33.0-1mamba
- automatic version update by autodist

* Sun May 26 2013 Automatic Build System <autodist@mambasoft.it> 1.32.0-1mamba
- automatic version update by autodist

* Fri Feb 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28.0-2mamba
- rebuilt in devel

* Tue Nov 09 2010 gil <puntogil@libero.it> 1.28.0-1mamba
- update to 1.28.0

* Thu Dec 03 2009 gil <puntogil@libero.it> 1.26.1-1mamba
- package created by autospec